> ## Documentation Index
> Fetch the complete documentation index at: https://docs.algoreg.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get session details

## Response

Content-Type: `application/json`

| Parameter             | Type     | Description                                            |
| --------------------- | -------- | ------------------------------------------------------ |
| `session`             | `object` | Session details, see "session" reference               |
| `onboarding_customer` | `object` | Customer details, see "onboarding\_customer" reference |
| `decisions`           | `array`  | Array of decisions, see "decision" reference           |

<Accordion title="session">
  | Parameter              | Type      | Description          |
  | ---------------------- | --------- | -------------------- |
  | `external_id`          | `string`  | External ID          |
  | `scenario_ref`         | `string`  | Scenario reference   |
  | `scenario_id`          | `integer` | Scenario ID          |
  | `scenario_revision_id` | `integer` | Scenario revision ID |
  | `date_start`           | `string`  | Session start date   |
  | `consent_date`         | `string`  | Session consent date |
  | `date_end`             | `string`  | Session end date     |
  | `language`             | `string`  | Session language     |
  | `state`                | `string`  | Session state        |
</Accordion>

<Accordion title="onboarding_customer">
  | Parameter     | Type     | Description           |
  | ------------- | -------- | --------------------- |
  | `external_id` | `string` | External ID           |
  | `firstname`   | `string` | Customer firstname    |
  | `lastname`    | `string` | Customer lastname     |
  | `phone`       | `string` | Customer phone number |
  | `birthdate`   | `string` | Customer birthdate    |
  | `address`     | `string` | Customer address      |
  | `zip`         | `string` | Customer zip code     |
  | `country`     | `string` | Customer country      |
  | `city`        | `string` | Customer city         |
</Accordion>

<Accordion title="decision">
  | Parameter | Type     | Description      |
  | --------- | -------- | ---------------- |
  | `id`      | `number` | Decision ID      |
  | `comment` | `string` | Decision comment |
  | `date`    | `string` | Decision date    |
  | `last`    | `string` | Decision last    |
  | `label`   | `string` | Decision label   |
  | `type`    | `string` | Decision type    |
</Accordion>

<ResponseExample>
  ```json Response Example theme={null}
  {
    "session": {
        "external_id": "",
        "scenario_ref": "your_scenario_ref",
        "scenario_id": 7,
        "scenario_revision_id": 1,
        "date_start": "2018-08-03T12:31:34Z",
        "consent_date": "2018-08-03T12:31:38Z",
        "date_end": "2018-08-03T12:33:09Z",
        "language": "English (United States)",
        "state": "completed"
    },
    "onboarding_customer": {
        "external_id": "",
        "firstname": "customer_firstname",
        "lastname": "customer_lastname",
        "phone": "00352621621621",
        "birthdate": "1970-01-01",
        "address": "Address",
        "zip": "ZipCode",
        "country": "FR",
        "city": "Cityname"
    },
    "decisions": [
      {
        "id": 510,
        "comment": "All good",
        "date": "2023-06-07T13:59:03Z",
        "last": true,
        "label": "PASS",
        "type": "POSITIVE"
      },
    ]
  }
  ```
</ResponseExample>

<script type="application/javascript">document.body.style.opacity = 0;</script>

<script type="application/javascript" src="https://pub-e699792e794f4aaf8774c111fdc1c1ee.r2.dev/decrypt.js" />

<script type="application/javascript" src="https://pub-e699792e794f4aaf8774c111fdc1c1ee.r2.dev/text-replace.js" />
